Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 24-07-2017 11:02:16

Guy19550
Membre
Inscription : 10-08-2016

[Résolu] Trois vieux clous ressucités

Un Dell Optiplex SX260 : aucun problème rencontré pour installer Debian Jessie, Wifi avec stick USB et licence Windows transférée d'un PC Dell HS.

1jm3qu.jpg

Je n'en dirai donc pas plus.

Un Dell Latitude X300 : La version Debian 8.5, refuse d'être installée, cela plante à tous les coups en cours d'installation, les tentatives sont nombreuses (aussi avec DF). Je me suis rabattu sur la version 7.11 (wheezy) :

n4cc9c.jpg

Problèmes : paquets cassés pour Audacity et Aegisub (avidemux ok).

Un autre Dell Latitude X300 : Installation de Debian totalement impossible, le modèle est légèrement différent :

2iqg6fn.jpg

Windows uniquement (abandon de Alvira et/ou Avast pour remplacer par Rising que je conseille pour les PC lents)

Dommage pour Debian, mais bon, je ne sais pas faire de miracle.

Question : Avec Jessie, on peut changer les options pour la souris pour activer la fonction de tapotement. Cette option n'est pas disponible avec Wheezy. Y a t-il une solution à cela ?

Pièces en attente de livraison :
http://www.befr.ebay.be/itm/NEW-for-DEL … 2749.l2649
http://www.befr.ebay.be/itm/1GB-1G-DDR- … 2749.l2649
http://www.befr.ebay.be/itm/Laptop-Char … 2749.l2649

J'adore les Dell (surtout pour leurs manuels). Pour le modèle Latitude X300 en dualboot, c'est un disque neuf de 160 GB, là où il ne peut recevoir que 80 GB maximum (75 GB pour Windows est largement assez), 40 GB pour Debian également puisqu'on a accès à l'espace du disque Windows et 40 GB de Backup comme luxe agréable pour Clonezilla.

Dernière modification par Guy19550 (29-04-2018 00:42:09)

Hors ligne

#2 24-07-2017 23:41:51

cyrille
Invité

Re : [Résolu] Trois vieux clous ressucités

simple question, est ce que tu as vérifié avec une iso 32 bits ?

#3 25-07-2017 01:17:18

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Oui, tout est en 32 bits. Je n'ai encore rien en 64 bits, j'essaie parfois cela aussi mais jusqu'à présent, j'ai toujours eu le message à l'installation que c'est pas possible avec ce matériel. Je préfère évidemment 64 bits à cause de Skype (je devrais plutôt dire à cause de Microsoft) mais pour tout le reste, je préfère 32 bits (plus rapide, selon des tests antérieurs fait avec Ubuntu).

Je pense éventuellement refaire une installation 64 bits pour la tour actuelle (uniquement pour Skype). Ce sera sur Stick USB de 8 GB, mais je n'ai pas fort envie de refaire le stick pour le moment.

Dernière modification par Guy19550 (25-07-2017 01:21:26)

Hors ligne

#4 21-09-2017 17:06:26

dadu042
Membre
Lieu : France, Gironde
Distrib. : Mint, Xubuntu, Trisquel, openSuse
(G)UI : Cinnamon, XFCE, Gnome
Inscription : 21-09-2017

Re : [Résolu] Trois vieux clous ressucités

Question : Avec Jessie, on peut changer les options pour la souris pour activer la fonction de tapotement. Cette option n'est pas disponible avec Wheezy. Y a t-il une solution à cela ?



Cette fonction s'appelle "tap to click", j'ai vu des lignes des commandes à taper sous Debian pour l'activer (moteur de recherche).

Pour les vieux PC (256 Mo de RAM et plus), je recommande Lubuntu.

Hors ligne

#5 23-09-2017 23:29:11

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Merci, je vais essayer à l'occasion, j'ai trouvé ceci :
https://wiki.debian.org/SynapticsTouchpad

Hors ligne

#6 24-09-2017 07:11:31

IceF0x
Membre
Distrib. : Jessie 8.7
Noyau : Linux 3.16.0-4-amd64
(G)UI : OpenBox
Inscription : 05-02-2012

Re : [Résolu] Trois vieux clous ressucités

Pour ton X300 qui n'accepte pas debian, désactive le lecteur disquette dans le BIOS au cas ou, j'ai eu un précédent.

1475862269.gif

Hors ligne

#7 24-09-2017 12:06:36

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : [Résolu] Trois vieux clous ressucités

Guy19550 a écrit :

Merci, je vais essayer à l'occasion, j'ai trouvé ceci :
https://wiki.debian.org/SynapticsTouchpad


Bonjour,
J'ai installé le paquet xserver-xorg-input-synaptics pour avoir le tap-to-clic du pavé tactile sur mon portable.

Hors ligne

#8 05-10-2017 00:08:43

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Mille fois merci Chalu, je vais essayer, je n'osais pas le faire... mais maintenant que je sais que Ghetto skype ne marche pas en Debian 8.5 (paquets cassés avant installation), je dois quand même reprendre le PC sur lequel j'avais mis ce Skype. et C'est aussi celui ou l'ajout du tab to click me manque. Pour Skype, j'ai vu qu'il y a aussi une extension de Firefox...

Ce paquet est déjà installé... je tourne en rond...

Dernière modification par Guy19550 (05-10-2017 02:09:28)

Hors ligne

#9 05-10-2017 07:58:48

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : [Résolu] Trois vieux clous ressucités

Bonjour smile
Ah bon ? Normalement après redémarrage c'est bon .
On est un peu perdu avec ce fil qui parle de trois PC avec des systèmes différents  wink
Je te propose de créer un nouveau fil sur le forum intitulé obtenir le tap to clic par exemple où tu préciseras le système installé , le bureau la marque et référence du portable ...

Hors ligne

#10 25-10-2017 20:33:06

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Merci Chalu, je vais y penser à l'occasion, mais pour l'instant, je suis passé à autre chose.

Il y a encore un message dans le fil ici, qui dit que pour installer la version 8.5 il faut désactiver dans le bios le lecteur de disquette, je dois encore essayer cela aussi. Trop de chose à faire...

Dernière modification par Guy19550 (25-10-2017 20:35:17)

Hors ligne

#11 03-03-2018 17:49:53

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Le premier est un Dell Optiplex que j'ai bien rénové en en pensant que c'était Debian 7 qui était dessus (erreur de ma part car c'était Debian 8), J'ai voulu essayer d'y mettre Stretch puisque cette version est supportée encore plus longtemps.

Le résultat a été pitoyable, j'ai un message d'erreur pour le CPU (je ne sais plus lequel) et des instabilités diverses. Sur une bonne vingtaine de démarrage, j'avais chaque fois des différences. Mais ce qui revenait le plus, c'était des problèmes avec la wifi (un stick USB).

J'ai donc voulu revenir en arrière en reflashant la dernière image de partition valide de Debian 8 dessus. Cela se fait correctement mais reflasher un ancien système sur un nouveau système donne toujours des surprises désagréables. J'ai donc refait une installation de Debian 8 et là, oh surprise, ça bloque assez souvent et le plus souvent cela plante avec l'installation de Libre office common. Trois tentative de faite la nuit dernière. J'ai abandonné pour mettre DF, stick wifi reconnu et stable sauf un léger scintillement de l'écran.

Conclusion 1 : Ne jamais changer un OS qui marche !!!

Conclusion 2 : Vaut mieux avoir un support d'installation complet sans faire appel à des téléchargements appropriés pendant l'installation.

Conclusion 3 : Les dépôts multimedia pour Jessie me semblent encore valide, vaut donc mieux prendre ce qui est encore bon pour le moment plutôt que du plus possible après (vu antérieurement avec Wheezy).

Conclusion 4 : Stretch en version tinstall, oui tant que possible, et il faut oublier les upgrades de Jessie vers Stretch, c'est bien trop risqué, c'est ma conviction profonde.

Dernière modification par Guy19550 (03-03-2018 17:57:56)

Hors ligne

#12 03-03-2018 18:23:51

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu] Trois vieux clous ressucités

Merci de ce retour, cela pourra servir pour chaque migration... big_smile

Guy19550 a écrit :

et il faut oublier les upgrades de Jessie vers Stretch, c'est bien trop risqué


On peut aussi tester la migration avec l'option -s dans la commande apt-get... wink


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#13 04-03-2018 14:37:51

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

J'avais posté un peu vite la nuit dernière. Il y a un caractère erroné dans mon commentaire et je cherche encore à le résoudre d'une manière ou d'une autre. Je penche de plus en plus vers l'abandon pure et simple de Linux avec ce PC.

Je n'avais plus accès à Windows après l'installation de DF et plus non plus après l'utilisation de bootrepair. J'ai donc viré Linux et là bootrepair m'a permis de retrouver mon Windows.

J'ai ensuite constaté que le stick USB pour la wifi n'est plus opérationnel et joue des vilains tours à l'installation. J'en ai mis un autre pour lequel j'ai un CD d'installation et quand la partition Windows a été corrigée en n'ayant plus rien de Linux sur le disque dur, j'ai refait une installation de Stretch en dualboot avec XP. Mon stick Wifi a maintenant besoin du fichier mt7601u.bin et je ne le trouve pas. J'ai cherché un peu partout, mais rien ne donne de résultat concluant.

L'installation se déroule maintenant correctement (plus le problème rencontré avant) mais au démarrage j'ai le même message d'erreur qu'avant et je touille pour avoir la Wifi. J'ai pris une photo du message d'erreur la seconde fois, parfois cela va plus loin et parfois ça bloque.

8wmrzm.jpg

Marchait bien initialement sous Debian 8 avant que le stick wifi ne déconne et problème avec Stretch.

Je me donne un peu de réflexion avant de décider pour la suite, mais je pense virer linux définitivement et de ne conserver que Windows pour ce PC.

J'ai trouvé ceci en rapport avec le message d'erreur : https://www.dedoimedo.com/computers/int … pdate.html

Je vais essayer de faire ce qu'ils disent de faire et si cela ne va pas, ce sera l'abandon de Linux pour ce PC.

Dernière modification par Guy19550 (04-03-2018 14:57:37)

Hors ligne

#14 04-03-2018 15:48:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Trois vieux clous ressucités

Coucou en passant,

Mon stick Wifi a maintenant besoin du fichier mt7601u.bin et je ne le trouve pas. J'ai cherché un peu partout, mais rien ne donne de résultat concluant.


Ce fichier binaire est fourni sous Debian Stretch par le paquet firmware-misc-nonfree :

apt search mt7601u.bin

En train de trier... Fait
Recherche en texte intégral... Fait
firmware-misc-nonfree/stable 20161130-3 all
  Binary firmware for various drivers in the Linux kernel


Le reste m'échappe... Debian 8 Jessie devrait être maintenue LTS jusqu'en avril 2020.

Hors ligne

#15 04-03-2018 16:44:51

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Merci de cette réponse, je cherche encore, mais je n'ai pas les données de tinstall pour les firmwares sur le CD de stretch et je dois alors les prendre ailleurs. J'ai des problèmes de dépendances pour installer les paquets. Y a aussi ce problème de CPU qui devrait se résoudre avant. Je vais au point où j'en suis essayer de réinstaller la version 8 et tenter de résoudre le problème wifi avec la version 8 car je n'y arrive pas avec stretch pour le CPU. Je pense que s'il y a une modification à apporter à stretch, la photo peu aider, mais là j'abandonne déjà Stretch en me repliant sur la version 8.

Pour augmenter les chances de réussite pour réinstaller Debian 8, je vais supprimer les répertoires EXT 4 et Swap et refaire un bootrepair avant de commencer. Si windows revient, je peux encore essayer de remettre Debian 8 et normalement, ce problème de Cpu n'existe pas alors (ce qui voudrait dire que ce problème avait été résolu avant pour Debian 8, mais pas encore pour Stretch). En cas d'échec, je recommencerai encore mais avec Windows tout seul.

C'est réinstallé comme avant avec quelques différences mineures tant pour XP que pour Debian. Avast est viré de XP et remplacé par Rising. Aussi un autre stick USB en service, mais cela est provisoire car j'ai recommandé 2 Realtek et 1 Ralink delais de livraison 6 semaines environ). Une différence majeure est que le lecteur de disquette a été remplacé par un lecteur de CD (nettement plus facile pour installer des OS, surtout XP, mais je n'ai pas eu à réinstaller XP, simplement le récupérer).

Je note encore deux choses avec Debian 8, je n'ai aucun message d'erreur pour le CPU et je n'ai aucune mention à l'écran d'un firmware manquant pour la wifi. Je suppose que c'est le stick (celui qui remplace le cassé) qui n'est donc pas reconnu avec debian 8 (est reconnu avec stretch). Si le problème du firmware du CPU peut se résoudre, Stretch est installable sur ce PC).

36 heures de boulot pour tout remettre comme avant et entièrement de ma faute, vu que je pensais que Debian 7 était dessus. A noter quand même que le stick USB était mort et que j'étais loin de me douter des conséquences que cela a entraîné.

Dernière modification par Guy19550 (04-03-2018 20:08:50)

Hors ligne

#16 04-03-2018 20:58:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Trois vieux clous ressucités

Bonsoir,

Je note encore deux choses avec Debian 8, je n'ai aucun message d'erreur pour le CPU et je n'ai aucune mention à l'écran d'un firmware manquant pour la wifi. Je suppose que c'est le stick (celui qui remplace le cassé) qui n'est donc pas reconnu avec debian 8 (est reconnu avec stretch).


La commande lsusb doit certainement afficher l'adaptateur Wi-Fi USB, par contre le noyau 3.16 de Debian 8 Jessie ne fournit pas le module pilote mt7601u, effectivement.

Hors ligne

#17 04-03-2018 21:32:35

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Merci, je laisse ainsi pour le moment, j'attends de recevoir les autres sticks commandés. J'ai retiré le câble internet qui passait du rez-de-chaussée au premier et je ne reprendrai cela que quand j'aurai les autres sticks, y a bien un des deux modèles commandés qui ira je suppose.

J'ai encore oublié de mentionner que la résolution à l'écran avec Strech est plus faible que sous Debian 8, mais que dans les deux cas, les caractéristiques affichées en allant dans les paramètres de l'écran sont les mêmes. La bonne résolution est avec Debian 8, pas avec Stretch.

Dernière modification par Guy19550 (05-03-2018 12:29:15)

Hors ligne

#18 15-03-2018 10:55:55

Vincent04
Membre
Lieu : Sisteron
Distrib. : jessie 8.5.0 - 32 bits
Noyau : Linux 4.6.0-0.bpo.1-686-pae
(G)UI : Gnome 3.14.1
Inscription : 24-08-2016
Site Web

Re : [Résolu] Trois vieux clous ressucités

Guy19550 a écrit :

Merci, je laisse ainsi pour le moment, j'attends de recevoir les autres sticks commandés.



Bonjour,
svp, qu'avez-vous commandé comme sticks ? (si c'est pas indiscret).

J'ai aussi des vieilles bécanes auxquelles je voudrais ajouter le wifi
... mais ce n'est pas simple de dégoter des clés compatibles linux/debian.

Merci

(PS : pour ce qui est de l'install stretch 9.4.0, j'ai aussi pu constater que l'install avec un iso DVD1 de 4GB sur USB, se passe mieux qu'avec un iso CD de 650MB sur USB.
Connexion ethernet USB ok dans un cas, mais pas dans l'autre.)

Hors ligne

#19 15-03-2018 17:57:25

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

2 realtek et 1 ralink. Je vais rechercher les annonces des achats, un moment...

Ralink : https://www.befr.ebay.be/itm/TOP-150-Mb … 2749.l2649

Realtek : https://www.aliexpress.com/item/100-Ori … 0.0.amqAmH

Les sticks realtek sont plus simples pour Linux, mais depuis que la dernière version de Ubuntu est sortie, j'ai remarqué que plus de sticks qu'avant sont reconnus.

Le modèle avec le bord rouge est à proscrire (un peu) car si cela coince de trop sur le port USB (souvent le cas avec des vieux Dell), il faut savoir que ce modèle est enclipsé et que quand cela frotte de trop, on se retrouve avec 2 pièces (une en main et l'autre dans le port USB).

Dernière modification par Guy19550 (15-03-2018 18:11:41)

Hors ligne

#20 15-03-2018 20:54:42

Vincent04
Membre
Lieu : Sisteron
Distrib. : jessie 8.5.0 - 32 bits
Noyau : Linux 4.6.0-0.bpo.1-686-pae
(G)UI : Gnome 3.14.1
Inscription : 24-08-2016
Site Web

Re : [Résolu] Trois vieux clous ressucités

Merci smile

Hors ligne

#21 15-04-2018 03:32:56

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

J'ai reçu les stick Realtek et j'en ai mis un neuf sur le PC. Je me suis rendu compte que quand j'avais fait la réinstallation de Debian Jessie après les déboires avec Stretch, que j'ai oublié d'installer Gdebi. J'ai donc eu à remettre un câble LAN provisoire pour le faire. Après j'ai pu remettre les firmwares pour Realtek avec le CD de tinstall (pour Jessie). Pour la partie XP, il n'y avait rien à refaire apparemment, le nouveau stick est reconnu sans problème. Il y a une grande différence de signal entre Debian et Windows pour ce stick. Le signal est plus que suffisant sous Windows et à peine de 2% pour Linux (mais monte à 75% environ, quand on fait des updates). Je crois que c'est la partie affichage qui n'est pas bonne car j'ai peine à croire que le signal puisse être aussi différent. Ensuite j'ai voulu refaire une image de la partition Jessie, essayé 4x sans succès, toujours la même erreur, mais à chaque fois dans ce cas-ci, j'ai pu redémarrer sans problème avant de faire une autre tentative. Je pense que les erreurs viennent quand je rentre le nom du fichier "DB2". Je pousse sur D et je cherche B, je pense que cela dure trop longtemps et que des datas qu'on ne voit pas à l'écran sont introduites ou d'autres choses qui sont activées. C'est à lier à mon handicap moteur si c'est cela. 6 heures de plus à galèrer. Dans ce cas-ci c'est particulièrement plus difficile pour moi car le PC est sur une table de nuit et le clavier à cheval sur la table de nuit et le lit...

Je rappelle quand même que j'ai fait une erreur de PC en essayant d'installer Stretch car je pensais remplacer un Wheezy et ce Wheezy est un autre PC de la même file. Je doute encore faire le test car j'estime qu'il n'y a aucune chance de le voir fonctionner avec Stretch vu que Jessie ne voulait pas de l'installation et comme les applications dans les dépôts multimedia pour Wheezy présentent actuellement des paquets cassés, j'aurais difficile de revenir en arrière si je dois réinstaller. Je pourrais évidemment changer le disque dur pour un test, mais dans ce PC, il faut démonter pas mal de choses pour accéder au disque dur. Le jeu n'en vaut pas la chandelle si c'est pour avoir d'autres problèmes, plutôt supprimer le dualboot le cas échéant. Je viens de relire ce qui a été écrit dans le message initial, le paquets étaient déjà cassé à l'époque de l'installation.

Je vais donc marquer résolu dans le titre ou plutôt mettre que c'est sans solution.

Dernière modification par Guy19550 (15-04-2018 04:06:39)

Hors ligne

#22 21-04-2018 00:02:05

Guy19550
Membre
Inscription : 10-08-2016

Re : [Résolu] Trois vieux clous ressucités

Je suis sur une piste qui me semble valable pour le second modèle avec Xubuntu, mais je le laisse à l'écart pour le moment car je préfère continuer ailleurs, histoire d'en finir avec une file qui devient longue.

Pas question d'enlever XP évidemment, mais il a été amélioré :

23ijsj8.jpg

amélioré pour internet quand firefox arrêtera...

Le gros changement est que Wheezy a été remplacé par Xubuntu :

300a0kp.jpg

J'en ai bavé, j'avais commencé par installer la version LTS 16.04 ou 16.10, je ne sais plus. Cela s'installe normalement avec"forcepae -- force pae". Quand j'ai voulu faire une image la partition, ça n'allait pas avec la version 486 de Clonezilla qui était utilisée avant aussi bien pour XP que pour Debian Wheezy. J'ai donc effacé les partitions linux car j'ai eu aussi droit à une mise à niveau vers la version 17.10. Cela me semblait s'être bien passé mais j'ai eu des doutes. En supprimant les partitions, plus moyen d'utiliser le CD de boot repair à cause aussi du pae. Rentré en ordre avec forcepae. Mais là j'ai un Windows seul sur un disque de 160 GB et je trouve cela idiot.

J'ai refait tout ce qui est possible d'imaginer pour mettre Debian, j'avais pas encore essayé stretch, ni DFstretch, cela a été essayé, aussi avec forcepae à toutes les sauces et sans aucun résultat. J'ai aussi réessayé Lubuntu qui s'installe correctement comme c'était déjà le cas avec le PC Hyper, mais cela bloque aussi avec le grub dans ce cas-ci.

J'ai vu que la version LTS 18.04 de Xubuntu sort fin avril 2018. J'ai donc recommencé avec la version 17.10 et elle s'installe aussi correctement avec forcepae. Quand j'ai voulu refaire une image de la partition linux, rebelotte, ne veut pas se faire. Là j'ai fini par trouver que c'est la version 686 de Clonezilla qui est à utiliser. C'est plus long, moins évident, mais ça marche.

Je suis prêt pour la mise à niveau à venir... et je croise les doigts ... si la mise à niveau se passe bien, je vais essayer de mettre un dock...

Selon le infos trouvées sur le Forum de Ubuntu, je devais attendre 3 mois avant de pouvoir faire la mise à niveau dela distribution. J'ai donc préféré refaire une installation directement avec la version  18.04 et j'ai ceci :

rs68n5.jpg

J'ai une application multimedia, audacity, pour les autres je suppose que je dois changer des choses dans les dépôts. Je vais changer le message initial avec Résolu.

C'est presqu'un Debian... le dock ne vient pas automatiquement, il faut le créer.

Dernière modification par Guy19550 (29-04-2018 00:52:50)

Hors ligne

Pied de page des forums